Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1516)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1517)
@@ -846,10 +896,6 @@
           ENDDO
 
-       ENDIF
-
-!
-!--    Temperature boundary condition at the top boundary
-       IF ( ibc_pt_t == 0  .OR.  ibc_pt_t == 1 )  THEN
-!
+!
+!--       Salinity boundary condition at the top boundary.
 !--       Dirichlet or Neumann (zero gradient)
           DO  i = nxl, nxr
@@ -860,57 +906,56 @@
           ENDDO
 
-       ELSEIF ( ibc_pt_t == 2 )  THEN
-!
-!--       Neumann: dzu(nzt+2:3) are not defined, dzu(nzt+1) is used instead
+       ELSEIF ( sk_char == 'q' )  THEN
+
+!
+!--       Specific humidity boundary condition at the bottom boundary.
+!--       Dirichlet (fixed surface humidity) or Neumann (i.e. zero gradient)
           DO  i = nxl, nxr
              DO  j = nys, nyn
-                sk_p(nzt+2,j,i)   = sk_p(nzt+1,j,i) + bc_pt_t_val * dzu(nzt+1)
-                sk_p(nzt+3,j,i)   = sk_p(nzt+2,j,i) + bc_pt_t_val * dzu(nzt+1)
-             ENDDO
-          ENDDO
-
-       ENDIF
-
-    ELSEIF ( sk_char == 'sa' )  THEN
-
-!
-!--    Salinity boundary condition at the bottom boundary.
-!--    So far, always Neumann (i.e. here zero gradient) is used
-       DO  i = nxl, nxr
-          DO  j = nys, nyn
-             sk_p(nzb,j,i)   = sk_p(nzb+1,j,i)
-             sk_p(nzb-1,j,i) = sk_p(nzb,j,i)
-             sk_p(nzb-2,j,i) = sk_p(nzb,j,i)
-          ENDDO
-       ENDDO
-
-!
-!--    Salinity boundary condition at the top boundary.
-!--    Dirichlet or Neumann (zero gradient)
-       DO  i = nxl, nxr
-          DO  j = nys, nyn
-             sk_p(nzt+2,j,i)   = sk_p(nzt+1,j,i)
-             sk_p(nzt+3,j,i)   = sk_p(nzt+1,j,i)
-          ENDDO
-       ENDDO
-
-    ELSEIF ( sk_char == 'q' )  THEN
-
-!
-!--    Specific humidity boundary condition at the bottom boundary.
-!--    Dirichlet (fixed surface humidity) or Neumann (i.e. zero gradient)
-       DO  i = nxl, nxr
-          DO  j = nys, nyn
-             sk_p(nzb,j,i)   = sk_p(nzb+1,j,i)
-             sk_p(nzb-1,j,i) = sk_p(nzb,j,i)
-             sk_p(nzb-2,j,i) = sk_p(nzb,j,i)
-          ENDDO
-       ENDDO
-
-!
-!--    Specific humidity boundary condition at the top boundary
-       IF ( ibc_q_t == 0 )  THEN
-!
-!--       Dirichlet
+                sk_p(nzb,j,i)   = sk_p(nzb+1,j,i)
+                sk_p(nzb-1,j,i) = sk_p(nzb,j,i)
+                sk_p(nzb-2,j,i) = sk_p(nzb,j,i)
+             ENDDO
+          ENDDO
+
+!
+!--       Specific humidity boundary condition at the top boundary
+          IF ( ibc_q_t == 0 )  THEN
+!
+!--          Dirichlet
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
+                   sk_p(nzt+2,j,i)   = sk_p(nzt+1,j,i)
+                   sk_p(nzt+3,j,i)   = sk_p(nzt+1,j,i)
+                ENDDO
+             ENDDO
+
+          ELSE
+!
+!--          Neumann: dzu(nzt+2:3) are not defined, dzu(nzt+1) is used instead
+             DO  i = nxl, nxr
+                DO  j = nys, nyn
+                   sk_p(nzt+2,j,i)   = sk_p(nzt+1,j,i) + bc_q_t_val * dzu(nzt+1)
+                   sk_p(nzt+3,j,i)   = sk_p(nzt+2,j,i) + bc_q_t_val * dzu(nzt+1)
+                ENDDO
+             ENDDO
+
+          ENDIF
+
+       ELSEIF ( sk_char == 'qr' )  THEN
+
+!
+!--       Rain water content boundary condition at the bottom boundary:
+!--       Dirichlet (fixed surface rain water content).
+          DO  i = nxl, nxr
+             DO  j = nys, nyn
+                sk_p(nzb,j,i)   = sk_p(nzb+1,j,i)
+                sk_p(nzb-1,j,i) = sk_p(nzb,j,i)
+                sk_p(nzb-2,j,i) = sk_p(nzb,j,i)
+             ENDDO
+          ENDDO
+
+!
+!--       Rain water content boundary condition at the top boundary: Dirichlet
           DO  i = nxl, nxr
              DO  j = nys, nyn
